서버 측에서 평가한 게이트웨이에서 제공하는 환경 범위 기능 플래그를 {"플래그": {"": }}로 반환합니다. 세션 JWT가 필요합니다. 서비스 계정 및 토큰리스 클라이언트는 GET /api/v1/feature-flags/global에서 동일한 페이로드를 읽습니다. 대부분의 키 설정하다 는 호환성 표면이 아닙니다: 플래그가 추가되고 폐기될 때 변경되므로 없는 키를 자체 기본값 으로 처리합니다. CLI 향하는 키는 예외입니다. 릴리스된 CLI 바이너리는 빌드에 사용된 키 이름을 폴링하며 게이트웨이와 함께 업그레이드할 수 없으므로 키 버전이 관리됩니다.
GET /api/v1/feature-flags
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/feature-flags' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"flags": {
"additionalProperty1": true,
"additionalProperty2": true
}
}
응답 예시(200)
{
"flags": {
"additionalProperty1": true,
"additionalProperty2": true
}
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}